ThrottledReader (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.io.util

## Class ThrottledReader

- java.lang.Object
- - java.io.RandomAccessFile
  - - org.apache.cassandra.io.util.RandomAccessReader
    - - org.apache.cassandra.io.util.ThrottledReader

- All Implemented Interfaces:
    java.io.Closeable, java.io.DataInput, java.io.DataOutput, java.lang.AutoCloseable, FileDataInput

      public class ThrottledReader
      extends RandomAccessReader

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.io.util.RandomAccessReader

      `RandomAccessReader.BufferedRandomAccessFileMark`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.io.util.RandomAccessReader

      `buffer, bufferOffset, CACHE_FLUSH_INTERVAL_IN_BYTES, channel, current, DEFAULT_BUFFER_SIZE, markedPointer, owner, validBufferBytes`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ThrottledReader(java.io.File file, com.google.common.util.concurrent.RateLimiter limiter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ThrottledReader` | `open(java.io.File file, com.google.common.util.concurrent.RateLimiter limiter)`
    `protected void` | `reBuffer()` Read data from file starting from current currentOffset to populate buffer.

    - ### Methods inherited from class org.apache.cassandra.io.util.RandomAccessReader

      `bufferCursor, bytesPastMark, bytesPastMark, bytesRemaining, close, deallocate, getFilePointer, getPath, getPosition, getTotalBufferSize, isEOF, length, mark, open, open, read, read, read, readBytes, reset, reset, resetBuffer, seek, toString, write, write, write`

    - ### Methods inherited from class java.io.RandomAccessFile

      `getChannel, getFD, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, setLength, skipBytes, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.io.DataInput

      `readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

- - ### Constructor Detail

    - #### ThrottledReader

          protected ThrottledReader(java.io.File file,
                         com.google.common.util.concurrent.RateLimiter limiter)
                             throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

  - ### Method Detail

    - #### reBuffer

          protected void reBuffer()

      Description copied from class: `RandomAccessReader`
      Read data from file starting from current currentOffset to populate buffer.
      Overrides:
        `reBuffer` in class `RandomAccessReader`

    - #### open

          public static ThrottledReader open(java.io.File file,
                             com.google.common.util.concurrent.RateLimiter limiter)

Copyright © 2014 The Apache Software Foundation